#include <stdio.h>
#include <string.h>
#include <OS.h>

status_t threadfunc(void *data)
{
	printf("Thread test: %s\n", (const char *)data);

	snooze(5 * 1000000L);

	return 0;
}


int main(int, char **)
{
	printf("Starting test thread\n");

	thread_id testThread = spawn_thread(threadfunc, "test thread", B_NORMAL_PRIORITY, (void *)"This is a test");

	if (testThread >= B_OK) {
		status_t result;
		wait_for_thread(testThread, &result);
		printf("Test thread exited: %ld\n", result);
	} else {
		printf("Failed to spawn test thread: %s\n", strerror(testThread));
	}

	return 0;
}

